Package: org.gmetrics.metric

## [Groovy] Class AbstractMethodMetric

- org.gmetrics.metric.AbstractMethodMetric

- All Implemented Interfaces and Traits:
    MethodMetric

      abstract class AbstractMethodMetric
      extends AbstractMetric

  Abstract superclass for method-based metrics.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetricLevel` | `baseLevel`
    `boolean` | `includeClosureFields`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MetricResult` | `applyToClosure(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression, SourceCode sourceCode)`
    `` | `MetricResult` | `applyToMethod(org.codehaus.groovy.ast.MethodNode methodNode, SourceCode sourceCode)`
    `` | `MetricResult` | `calculate(org.codehaus.groovy.ast.MethodNode methodNode, SourceCode sourceCode)`
    `` | `MetricResult` | `calculate(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression, SourceCode sourceCode)`
    `` | `protected ClassMetricResult` | `calculateForClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMetric` | `applyToClass, applyToPackage, calculateForClass, calculateForPackage, createAggregateMetricResult, isNotAnInterface`

- - ### Property Detail

    - #### final MetricLevel baseLevel

    - #### boolean includeClosureFields

  - ### Method Detail

    - #### @Override MetricResult applyToClosure(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression, SourceCode sourceCode)

    - #### @Override MetricResult applyToMethod(org.codehaus.groovy.ast.MethodNode methodNode, SourceCode sourceCode)

    - #### MetricResult calculate(org.codehaus.groovy.ast.MethodNode methodNode, SourceCode sourceCode)

    - #### MetricResult calculate(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression, SourceCode sourceCode)

    - #### protected ClassMetricResult calculateForClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)